using System;

namespace Cmt6.Exceptions
{
    [Serializable]
    public abstract class Cmt6ExceptionBase : ApplicationException
    {
        protected Cmt6ExceptionBase()
        {
        }
        protected Cmt6ExceptionBase(string message)
            : this(message, null)
        {
        }
        protected Cmt6ExceptionBase(string message, Exception innerException)
            : base(message, innerException)
        {
            
        }
        protected Cmt6ExceptionBase(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
            : base(info, context)
        {
            
        }
    }
}