using System;
using System.Collections.Generic;

namespace Cmt6.Models.Mock
{
    public class ListView<TEntity> : IListView<TEntity>
        where TEntity : IContentEntity
    {
        static ListView()
        {
            EntityFactory.TypeInitializers.Add(typeof(IListView<TEntity>), () => new ListView<TEntity>());
        }

        public int Id { get; set; }

        public IList<IProperty<TEntity>> ProperitesToDisplay { get; set; }

        public Func<TEntity, bool> Filter { get; set; }
    }
}