using System.Linq;
using Cmt6.Models;
using Cmt6.Models.Mock;

namespace Cmt6.Repositories.Mock
{
    public class NewsRepository : MockEntityRepositoryBase<INews>
    {
        public NewsRepository()
        {
            Entities = Entities.Union(new[]
                                          {
                                              new News
                                                  {
                                                      Id = 1,
                                                      Title = "news 1 title",
                                                      Detail = "news 1 detail"
                                                  },
                                              new News
                                                  {
                                                      Id = 2,
                                                      Title = "news 2 title",
                                                      Detail = "news 2 detail"
                                                  },
                                              new News
                                                  {
                                                      Id = 3,
                                                      Title = "news 3 title",
                                                      Detail = "news 3 detail"
                                                  },
                                          }).ToList();
        }
    }
}