using Cmt6.Exceptions;

namespace Cmt6.Models.LinqToSql
{
    public class News : INews
    {
        public virtual int Id { get; set; }

        public virtual string Title { get; set; }

        public virtual string Detail { get; set; }

        public object this[string property]
        {
            get
            {
                try
                {
                    return this.GetPublicPropertyValue(property);
                }
                catch (PropertyNotFoundException)
                {
                    return null;//todo
                }
            }
            set
            {
                try
                {
                    this.SetPublicPropertyValue(property, value);
                }
                catch (PropertyNotFoundException)
                {
                }
            }
        }
    }
}