using System;

namespace Cmt6.Models.Mock
{
    public class Property<TEntity> : IProperty<TEntity>
        where TEntity : IContentEntity
    {
        static Property()
        {
            EntityFactory.TypeInitializers.Add(typeof(IProperty<TEntity>), () => new Property<TEntity>());
        }

        public int Id { get; set; }

        public string Name { get; set; }

        public Type Type { get; set; }
    }
}