﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<Cmt6.Models.IEntity>>" %>

<%@ Import Namespace="Cmt6.Models" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Index
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Index
    </h2>
    <div>
        <%:
            Html.ActionLink("Add", "Create")
        %>
    </div>
    <table>
        <tr>
            <%
                var entityType = ViewData["entityType"] as Type;
                var properitesToDisplay = EntityUtil.GetReadableProperties(entityType);
                foreach (var property in properitesToDisplay.Select(p => p.Name))
                {%>
            <th>
                <%:property %>
            </th>
            <%}%>
        </tr>
        <% 
            foreach (var entity in Model)
            {%>
        <tr>
            <%
                foreach (var property in properitesToDisplay)
{%>
            <td>
                <%: entity.GetPublicPropertyValue(property) %>
            </td>
            <%} %>
            <td>
                <%: Html.ActionLink("Edit", "Edit", new{id=entity.Id}) %>
            </td>
            <td>
                <%: Html.ActionLink("Delete", "Delete", new{id=entity.Id}) %>
            </td>
        </tr>
        <%} %>
    </table>
</asp:Content>
