using System;
using Cmt6.Models;

namespace Cmt6.Repositories.LinqToSql
{
    //.net 4
    public interface IObservableRepository<out TEntity>
    //public interface IObservableRepository<TEntity>
        where TEntity : IEntity
    {
        event Action<TEntity> Added;
        event Action<TEntity> Updated;
        event Action<TEntity> Deleted;
    }
}