using System.Linq;
using Cmt6.Models;
using Cmt6.Models.Mock;

namespace Cmt6.Repositories.Mock
{
    public class NewsPropertyRepository : MockEntityRepositoryBase<IProperty<INews>>
    {
        public NewsPropertyRepository()
        {
            Entities = Entities.Union(new[]
                                          {
                                              new Property<INews>
                                                  {
                                                      Id = 1,
                                                      Name = "Id",
                                                      Type = typeof (int)
                                                  },
                                              new Property<INews>
                                                  {
                                                      Id = 2,
                                                      Name = "Title",
                                                      Type = typeof (string)
                                                  },
                                              new Property<INews>
                                                  {
                                                      Id = 3,
                                                      Name = "Detail",
                                                      Type = typeof (string)
                                                  },
                                          }).ToList();
        }
    }
}