// Type: LinqToCodedom.CodeDomGenerator
// Assembly: LinqToCodedom, Version=1.0.0.0, Culture=neutral, PublicKeyToken=8b32a020163181f7
// Assembly location: D:\work\ctx\CMT45\Reshearch\DynamicComponent\lib\LinqToCodedom.dll

using System.CodeDom;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.IO;
using System.Reflection;

namespace LinqToCodedom
{
    public class CodeDomGenerator
    {
        #region Language enum

        public enum Language
        {
            CSharp,
            VB,
        }

        #endregion

        public bool? RequireVariableDeclaration { get; set; }
        public bool? AllowLateBound { get; set; }
        public List<CodeChecksumPragma> ChecksumPramas { get; }
        public IEnumerable<CodeNamespace> Namespaces { get; }

        public static CodeDomProvider CreateProvider(CodeDomGenerator.Language provider);
        public CodeNamespace AddNamespace(string namespaceName);
        public CodeNamespace AddNamespace(CodeNamespace codeNamespace);
        public CodeDomGenerator AddReference(string referencedAssembly);
        public CodeCompileUnit GetCompileUnit(CodeDomGenerator.Language language);
        public Assembly Compile();
        public Assembly Compile(string assemblyPath);
        public Assembly Compile(CodeDomGenerator.Language language);
        public Assembly Compile(string assemblyPath, CodeDomGenerator.Language language);

        public static Assembly Compile(string assemblyPath, CodeDomGenerator.Language language,
                                       IEnumerable<string> assemblies, params CodeCompileUnit[] units);

        public string GenerateCode(CodeDomGenerator.Language language);
        public static string GenerateCode(CodeDomGenerator.Language language, CodeCompileUnit unit);
        public static void GenerateCode(TextWriter wr, CodeDomGenerator.Language language, CodeCompileUnit unit);

        public static void GenerateCode(TextWriter wr, CodeDomGenerator.Language language, CodeCompileUnit unit,
                                        CodeGeneratorOptions options);
    }
}
